import './07.scss';
// import apiFetch from '@wordpress/api-fetch';
// import dataLinks from './dataLinks';
// const axios = require('axios');
const autoCompleteLink = {
  name: "Dr Affiliate Link",
  // The prefix that triggers this completer
  triggerPrefix: "!",
  // The option data
  //  options: [
  //   { cloaked_url: 'https://s.w.org/images/core/emoji/13.1.0/svg/1f34e.svg', title: 'Apple', id: 1 },
  //   { cloaked_url: 'https://s.w.org/images/core/emoji/13.1.0/svg/1f34a.svg', title: 'Orange', id: 2 },
  //   { cloaked_url: 'https://s.w.org/images/core/emoji/13.1.0/svg/1f347.svg', title: 'Grapes', id: 3 },
  // ],
  options: localStorage.getItem('affiliate-links') ? JSON.parse(localStorage.getItem('affiliate-links')) : [],
  //isDebounced: true,
  // Returns a label for an option like " Orange"
  // getOptionLabel: ( link ) => (
  //   <span><span class="dashicons dashicons-admin-links"></span>{ link.title }</span>
  // ),
  // Declares that options should be matched by their name or value
  // getOptionKeywords( link ) {
  //   console.log(link)
    /*
    let words = [];
    if ( keywords ) {
      words = keywords.split( / \| / );
    }
    words = words.concat( title.split( /\s/ ) );
    console.log( words );
    // if ( name ) {
    // 	words.concat( name.split( ' ' ) );
    // }
    return [ cloaked_url, ...words ];*/
  //},
  // Declares that the Grapes option is disabled
  // getOptionCompletion: ( { title, cloaked_url, parameters,follow_type, new_tab } ) => {
  //   return (
  //     <a className="dr-affiliate" href={ cloaked_url+'?'+parameters } target={new_tab==1 ? '_blank': ''} {...follow_type==1 ? '': "rel='nofollow'" }>{title}</a>
  //   );
  // },

  getOptionLabel: ( option ) => (
    <span>
        { option.title }
    </span>
),
// Declares that options should be matched by their name
getOptionKeywords: ( option ) => [ option.title ],
// Declares that the Grapes option is disabled
//isOptionDisabled: ( option ) => option.name === 'Grapes',
// Declares completions should be inserted as abbreviations
getOptionCompletion: ( option ) => (
    <a href={option.cloaked_url} className="dr_affiliate-links" target={option.new_tab==1 ? '_blank':''} rel={option.follow_type==1? "nofollow":''}>{ option.title }</a>
),
};


// Our filter function
function appendautoCompleteLink( completers, blockName ) {
	return blockName === 'core/paragraph' ||
		blockName === 'core/heading' ||
		blockName === 'core/quote' ||
		blockName === 'core/list' ||
		blockName === 'core/verse' ||
		blockName === 'core/list' ?
		[ ...completers, autoCompleteLink ] :
		completers;
}

// Adding the filter
wp.hooks.addFilter(
	'editor.Autocomplete.completers',
	'dr-affiliate/links',
	appendautoCompleteLink
);