import './07.css';
import { registerBlockType } from '@wordpress/blocks';
import { RichText, MediaUpload, BlockControls, RichTextToolbarButton, AlignmentToolbar } from '@wordpress/block-editor';
import { Button, ToolbarGroup, Dashicon, Modal, Autocomplete,Toolbar, ToolbarItem, TextControl, ToolbarButton } from '@wordpress/components';
import { edit } from '@wordpress/icons';
import URLPicker from './_url-picker.js';

import { registerFormatType } from '@wordpress/rich-text';
// import { RichTextToolbarButton } from '@wordpress/block-editor';
 /*
const MyCustomButton = ( { attributes, setAttributes, className } ) => {
  let atts = attributes;
  console.log(atts)
    return (
      <>
        <RichTextToolbarButton
            icon="editor-code"
            title="Dr Affiliate Link"
            onClick={ () => {
                console.log( 'toggle format' );
                //props.setAttributes( { isOpen: true } )
            } }
        />
        { /*atts.isOpen && (
            <Modal
                title="Dr Affiliate Link Search"
                onRequestClose={ () => props.setAttributes( { isOpen: false } ) }
                className="component-tooltip-modal"

            >
              <div class="fancy-box-with-button">
                  <TextControl
                      placeholder="Search Link Title.."
                      onChange={ 
                        ( value ) => { 
                          props.setAttributes( { searchText: value } ) 
                          jQuery.ajax({
                            type: "post",
                            dataType: "json",
                            url: "admin-ajax.php",
                            data: {action: "get_data", search: value},
                            success: function(msg){
                                if(msg.success) {
                                  props.setAttributes({ links: msg.result});
                                }
                            }
                          })
                        }
                    }
                  />
                  <Button >
                        <Dashicon icon="search" />
                  </Button>
              </div>
              <br/>
              <em>Click on Result to Add Affiliate Link to Post:</em>
              <ul className="suggestion-list">
                { atts.links != null && atts.links.map(r => (
                  <li 
                  className="clickablekeys"
                    key={r.id} 
                    onClick={
                      value => {
                        /// check gutenberg github project
                        props.setAttributes({ linkURL: r});
                        console.log(r);
                        // dispatch('custom_store/main').update({url1: r});
                        return (
                          <RichText.Content
                              tagName="a"
                              href={ r.cloaked_url }
                              title={ r.title }
                              value={ r.title }
                          />

                          
                        );
                      }
                    }
                  >
                    {r.title}
                  </li>
              ))
             }</ul>
            </Modal>
            ) }
    </>
    );
};
 */
registerBlockType( 'dr-affiliate-format/link-output', {
    title: 'Dr Affiliate Link',
    tagName: 'samp',
    className: null,
    attributes: {
      searchText: { type: 'string', default:null },
      linkURL: { type: 'object', default:null},
      links: { type: 'array', default:[]},
      linkTarget: { type: 'boolean', default: false }, 
      isOpen: { type: 'boolean', delinkURLfault: false }, 
    },
    edit: (props) => {
      let atts = props.attributes;
      console.log(atts)
      console.log(props)
      return (
        <>
          <URLPicker
            url={ atts.linkURL || ''}
            links={atts.links}
            setAttributes={ props.setAttributes }
            isOpen={ props.isOpen }
            opensInNewTab={ atts.linkTarget === '_blank' }

            // listener when toggling "Open in New Tab"
            onToggleOpenInNewTab={ ( value ) => {
              let linkTarget = value ? '_blank' : '_self'; // if true, it means "_blank"
              props.setAttributes({ linkTarget: linkTarget });
            } }
          />
          
      </>
      );

    },
} );


/*
registerBlockType( 'my/tut-07', {
  title: 'Dr Affiliate Link',
	tagName: 'samp',
  example: {},
  
  attributes: {
    searchText: { type: 'string', default:null },
    linkURL: { type: 'object', default:null},
    links: { type: 'array', default:[]},
    linkTarget: { type: 'boolean', default: false }, 
    isOpen: { type: 'boolean', default: false }, 
  },
  
  edit: ( props ) => {
    let atts = props.attributes;


    return (
      <BlockControls key="custom-controls">
        <Toolbar
          className='components-toolbar'
        >
            <Button
              onClick={ ()=>{console.log('hi')} }
            >
              <Dashicon icon="tablet" />
            </Button>
        </Toolbar>
      </BlockControls>
    );
  },
  
  save: ( props ) => {
    let atts = props.attributes;
    if(!!atts.linkURL) {
      return <a>{atts.title}</a>
    }
  },
} );*/